Anonymous Login
2019-04-25 02:50 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000730v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:50
Reportersimonnzg 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version2.3 
Target VersionFixed in Version2.3 
Summary0000730: Uploading file returns user to main Files dialogue not related Project/Task
DescriptionThis one is getting annoying. It's been there for as long as I can remember, but since it's still there in the SVN as of today I thought I should mention it.
I don't know if the behaviour is intentional or not, but when I upload a file by selecting the Files tab in a Project or Task window, once the file is uploaded web2project returns me to the main Files area and not back to the associated Project or Task. This can get annoying when uploading several files as I have to navigate back to the Project/Task before doing anything else.
Is there any way of making web2project pop up a report box to say the file did or did not upload and was indexed and then drop me back where I was when I started?
TagsNo tags attached.
Attached Files

-Relationships
child of 0000432closedcaseydk v3.2 Release Consistency of navigation through modules\items 
+Relationships

-Notes

~0001659

simonnzg (reporter)

Worse, if I edit a Task (in SVN) I seem to be dumped into the Project's FILES list on committing the edit. Exactly where I wanted to be put after uploading a file. Something's not right here.

~0001660

caseydk (administrator)

There are two things in the system that affect these paths:

* Various screens save their state and effectively "bookmark" themselves.. after some actions, if you just tell the system to redirect(), it goes to the most recent bookmark.

* In other places, the redirects are explicit and therefore more likely to be right.. except where we have sub-forms built into a page and we're not passing along the context. Then the eventual destination is a little unclear.

Regardless, to solve the larger 0000432, it would be useful if someone worked out a spreadsheet of exactly which actions would go where.. I'd be happy to help but I can't take the lead on it.

~0001672

caseydk (administrator)

Also, quick note..


The file indexing has now been removed from the upload process and integrated into the hook_cron that gets run via queuescanner.php. Part of this was to make the system immediately more responsive, the other reason was to better support/handle multiple file uploads (coming).

~0001746

caseydk (administrator)

Resolved in r1761

~0001768

caseydk (administrator)

Closed in preparation for v2.3 release.
+Notes

-Issue History
Date Modified Username Field Change
2011-02-22 03:26 simonnzg New Issue
2011-02-22 05:15 simonnzg Note Added: 0001659
2011-02-22 05:55 caseydk Relationship added child of 0000432
2011-02-22 05:58 caseydk Note Added: 0001660
2011-02-23 22:50 caseydk Note Added: 0001672
2011-03-22 22:58 caseydk Note Added: 0001746
2011-03-22 22:58 caseydk Status new => resolved
2011-03-22 22:58 caseydk Resolution open => fixed
2011-03-22 22:58 caseydk Assigned To => caseydk
2011-03-24 09:50 caseydk Note Added: 0001768
2011-03-24 09:50 caseydk Status resolved => closed
2011-03-24 09:50 caseydk Fixed in Version => 2.3
+Issue History